Subject: Allow doctrine event listeners to be configured

Description

The gedmo doctrine behavioral extensions depend on the doctrine event listener system to be configured when setting up the entity
manager.
This is currently not possible in Flow, but could easily be handled via configuration.

| therefore suggest adding a new configuration setting TYPO3.Flow.doctrine.eventSubscribers which is a list of classes that extend
\Doctrine\Common\EventSubscriber and are to be registered with the doctrine event manager inside the entityManagerFactory.

Related issues:
related to TYPOS3.Flow - Task # 41807: Initialize the eventmanager in the Enti... Under Review 2012-10-09
related to TYPOS.Flow - Feature # 38177: Signal/Slot adapter for persistence ... Rejected 2012-06-19

Associated revisions

Revision 5540b3c3 - 2013-07-13 11:13 - Alexander Berl

[FEATURE] Allow configurable doctrine event subscribers

This change allows doctrine event subscribers and listeners to be configured
via the options TYPOBS.Flow.persistence.doctrine.eventSubscribers and

TYPOGS.Flow.persistence.doctrine.eventListeners respectively.

This feature allows doctrine extensions to be used with Flow, that depend on

the doctrine event system, like the gedmo behavioral extension.
Change-Id: 1b45d497c074d087db90f793a1c894e9432cbce52

Resolves: #47228
Releases: master

History

#1 - 2013-04-15 12:03 - Alexander Berl
I mixed up event listeners and subscribers in the headline and description. I'm actually talking about the event subscribers, the basic idea could be

extended for event listeners too, though those need a little different configuration syntax, as they need a list of event names and the event listener
class.

#2 - 2013-04-15 12:49 - Gerrit Code Review
- Status changed from New to Under Review
Patch set 1 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/19984

#3 - 2013-04-16 12:37 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/19984

#4 - 2013-05-14 21:11 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/19984

#5 - 2013-05-15 10:48 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/19984

#6 - 2013-05-21 13:28 - Robert Lemke
- Target version deleted (2.1)

#7 - 2013-07-12 09:36 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/19984

#8 - 2013-07-13 11:13 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/19984

#9 - 2013-07-16 22:36 - Alexander Berl
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:5540b3c3a8ebba602410d869fdc88cd5f1f133a5.
